# AvailableLanIp

## 1. API Description

This API (AvailableLanIp) is used to query a list of NIC/IP pairs (within the same subnet) that are eligible to be associated with the specified EIP.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description                                                                                                                                                                                           |
| -------------- | -------- | ------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| eipId          | Yes      | String | <p>ID of the elastic IP to check association eligibility for.</p><p>Only vNICs whose subnet is within the same region as this EIP will be returned.</p><p>To obtain an EIP ID, call DescribeEips.</p> |

## 3. Output Parameters

| Parameter Name | Type                                                                                | Description                                                                                                           |
| -------------- | ----------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                              | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| lanIps         | Array of [PrivateIpInfo](/api-reference/compute/zec/datastructure.md#privateipinfo) | List of NIC/IP pairs (within the same subnet) that are eligible to be associated with the specified EIP.              |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Obtain available private IP.**

<pre class="language-json"><code class="lang-json"><strong>POST /api/v2/zec HTTP/1.1
</strong>Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: AvailableLanIp


Request:
{
  "eipId": "xxx"
}

Response:
{
  "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
  "response": {
    "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
    "lanIps": [
      {
        "lanIp": "xxx",
        "nicId": "xxx",
        "nicName": "xxx",
        "instanceId": "xxx",
        "instanceName": "xxx"
      }
    ]
  }
}
</code></pre>

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/zec/elastic-ip/availablelanip.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
